FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202103060503.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202103060503.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=d31602b OS_GIT_VERSION=4.5.0-202103060503.p0-d31602b SOURCE_DATE_EPOCH=1611285113 SOURCE_GIT_COMMIT=d31602b0c82a0a25203db75e928c3a5bf3a33c36 SOURCE_GIT_TAG=v0.0.1-510-gd31602b0 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-scheduler-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-scheduler-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.5.0.20210306.052852
ENV __doozer=update BUILD_RELEASE=202103060503.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202103060503.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=d31602b OS_GIT_VERSION=4.5.0-202103060503.p0-d31602b SOURCE_DATE_EPOCH=1611285113 SOURCE_GIT_COMMIT=d31602b0c82a0a25203db75e928c3a5bf3a33c36 SOURCE_GIT_TAG=v0.0.1-510-gd31602b0 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-scheduler-operator 
RUN mkdir -p /usr/share/bootkube/manifests/bootstrap-manifests/ /usr/share/bootkube/manifests/config/ /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/bindata/bootkube/bootstrap-manifests /usr/share/bootkube/manifests/bootstrap-manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/bindata/bootkube/config /usr/share/bootkube/manifests/config/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/bindata/bootkube/manifests /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/cluster-kube-scheduler-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_25_kube-scheduler-operator_01_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-scheduler-operator" \
        com.redhat.component="ose-cluster-kube-scheduler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-scheduler" \
        release="202103060503.p0" \
        io.openshift.build.commit.id="d31602b0c82a0a25203db75e928c3a5bf3a33c36" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-scheduler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-scheduler-operator/commit/d31602b0c82a0a25203db75e928c3a5bf3a33c36" \
        version="v4.5.0"

